Bug Hunting Session
Bug 113652 - Crash: Open 'Data Provider' on Calc
Summary: Crash: Open 'Data Provider' on Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-05 02:12 UTC by sawakaze
Modified: 2017-11-18 11:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencapture (66.51 KB, image/gif)
2017-11-05 02:46 UTC, sawakaze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2017-11-05 02:12:16 UTC
Description:
After press 'Data Provider' Button, libreoffice crushed.


Steps to Reproduce:
1.open calc
2.press Data > Data Provider button from menu 
--> Crash

Actual Results:  
Crush and restart libreoffice.  not launch data provider window 

Expected Results:
not crush and launch data provider window


Reproducible: Always


User Profile Reset: No



Additional Info:
my testing env:

OS    : Linux 
Dist  : Ubuntu MATE 17.10 64bit

testting version:

Version: 6.0.0.0.alpha1+
Build ID: eb6ec4b606e213201e790f49253a5355a2d35eb9
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-04_12:35:42
Locale: en-US (C); Calc: group





User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 sawakaze 2017-11-05 02:46:03 UTC
Created attachment 137529 [details]
Screencapture
Comment 2 Jacques Guilleron 2017-11-05 06:38:16 UTC
I confirm with
LO 6.0.0.0.alpha1+ Build ID: 380d6afe5fd691f6ad4b17fc38b79b9fca4ba906
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-10-22_09:58:27
Locale: fr-FR (fr_FR); Calc: CL
message 1:
LibreOfficeDev 6,0 -Fatal error: 
file///C:/User/Moi/LibreOfficexxx/Master-2017-10-22/program/../
share/config/soffice.cfg/modules/scalc/ui/dataproviderdlg2.ui

message 2:
Microsoft visual C++ Runtime Library
Assertion failed!
Program: ...Officexxx\master-2017-10-22\program\sofficeapp.dll
file C:/cygwin/home/tinderbox/master/des.../officei...ead.cxx
Line 945

Expression:!mIpcThread.is()
Comment 3 Julien Nabet 2017-11-05 19:39:29 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed this:
warn:vcl.layout:31747:31747:vcl/source/window/builder.cxx:151: Unable to read .ui file: N3com3sun4star3uno9ExceptionE msg: file:///home/julien/lo/libreoffice/instdir/program/../share/config/soffice.cfg/modules/scalc/ui/dataproviderdlg2.ui

Searching git history, it seems a regression from:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=6250b856defa4d49469cb455c1eef53de02f623d

I submitted this patch on gerrit:
https://gerrit.libreoffice.org/#/c/44331/
Comment 4 Commit Notification 2017-11-06 08:17:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b28359c4cbf486b8c82e576b9894f3ea7840d7e9

tdf#113652: typo in ui file

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2017-11-06 08:26:53 UTC
This one is fixed but when I close the dialog, I got a crash.
I let you test before submitting a new bugtracker.
Comment 6 Jacques Guilleron 2017-11-13 17:27:00 UTC
Hi Julien,

The Data Provider wizard opens and like you, I get also a crash at its closing.
LO  6.0.0.0.alpha1+ (x64) Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: fr-FR (fr_FR); Calc: CL
Comment 7 Julien Nabet 2017-11-13 22:08:20 UTC
About crash on closing, I submitted a patch to review here:
https://gerrit.libreoffice.org/#/c/44697/
wait and see...
Comment 8 Commit Notification 2017-11-15 06:03:31 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4283092eb219968870e23bd0d600e1ef521dab89

Related tdf#113652: fix crash when closing Data provider

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Jacques Guilleron 2017-11-18 11:46:22 UTC
Hi Julien,
No longer crash on closing Data Provider wizard with
LO 6.0.0.0.alpha1+ Build ID: 133d617a7758acb342d82e5d446e165cd87e2cac
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-18_01:48:12
Locale: fr-FR (fr_FR); Calc: CL